package org.agt.module.license.enums;

import org.agt.framework.common.exception.ErrorCode;

/**
 * @description: license 错误码枚举类
 * @author: cyc
 * @since: 2025-05-22
 */
public interface ErrorCodeConstants {
    ErrorCode CUSTOMER_NOT_EXISTS = new ErrorCode(1_100_001_001, "客户不存在");
    ErrorCode CUSTOMER_NAME_DUPLICATE = new ErrorCode(1_100_001_002, "客户名称`{}`已存在");
    ErrorCode CUSTOMER_CODE_DUPLICATE = new ErrorCode(1_100_001_003, "客户编号`{}`已存在");
    ErrorCode CUSTOMER_IMPORT_LIST_IS_EMPTY = new ErrorCode(1_100_001_004, "导入客户数据不能为空！");
    ErrorCode CUSTOMER_EXISTS_PROJECT = new ErrorCode(1_100_001_005, "已存在该客户的项目，请先删除项目");
    ErrorCode PROJECT_NOT_EXISTS = new ErrorCode(1_100_002_001, "项目不存在");
    ErrorCode PROJECT_NAME_DUPLICATE = new ErrorCode(1_100_002_002, "项目名称`{}`已存在");
    ErrorCode PROJECT_CODE_DUPLICATE = new ErrorCode(1_100_002_003, "项目编号`{}`已存在");
    ErrorCode PROJECT_IMPORT_LIST_IS_EMPTY = new ErrorCode(1_100_002_004, "导入项目数据不能为空！");
    ErrorCode PROJECT_EXISTS_LICENSE = new ErrorCode(1_100_001_005, "已存在该项目的License，请先删除License");
    ErrorCode LICENSE_NOT_EXISTS = new ErrorCode(1_100_003_001, "License不存在");
    ErrorCode LICENSE_SN_DUPLICATE = new ErrorCode(1_100_003_002, "License SN`{}`已存在");
    ErrorCode LICENSE_IMPORT_LIST_IS_EMPTY = new ErrorCode(1_100_003_003, "导入License数据不能为空！");
    ErrorCode LICENSE_DOWNLOAD_FAILED = new ErrorCode(1_100_003_004, "下载失败！");
    ErrorCode LICENSE_UPDATE_FAILED = new ErrorCode(1_100_003_004, "License已生成，不允许修改！");

    ErrorCode COMMENT_NOT_EXISTS = new ErrorCode(1_100_004_001, "评论不存在");
    ErrorCode COMMENT_EXITS_CHILDREN = new ErrorCode(1_100_004_002, "存在子评论，无法删除");
    ErrorCode COMMENT_PARENT_NOT_EXITS = new ErrorCode(1_100_004_003,"父级评论不存在");
    ErrorCode COMMENT_PARENT_ERROR = new ErrorCode(1_100_004_004, "不能设置自己为父评论");
    ErrorCode COMMENT_CONTENT_DUPLICATE = new ErrorCode(1_100_004_005, "已经存在该内容的评论");
    ErrorCode COMMENT_PARENT_IS_CHILD = new ErrorCode(1_100_004_006, "不能设置自己的子Comment为父Comment");


    ErrorCode ALERT_NOT_EXISTS = new ErrorCode(1_100_005_001, "告警不存在");
}
